%if %mdkversion >= 200910
%define with_klash 1
%else
%define with_klash 0
%endif

%define with_tests 0

%{?_with_klash: %{expand: %%global with_klash 1}}
%{?_with_gstreamer: %{expand: %%global with_gstreamer 1}}
%{?_with_gstreamer: %{expand: %%global with_tests 1}}

%define libname %mklibname %{name} 0
%define libname_dev %mklibname -d %{name}
%define libname_orig lib%{name}

%define bzr	0
%define rel	4
%define major	0

%if %bzr
%define release		%mkrel -c %bzr %rel
%define distname	%name-%bzr.tar.xz
%define dir_name	%name
%define buildversion	trunk
%else
%define release		%mkrel %rel
%define distname	%name-%version.tar.bz2
%define dir_name	%name-%version
%define buildversion	%version
%endif

Name: gnash
Version: 0.8.8
Release: %{release}
Summary: %{name} - a GNU Flash movie player
License: GPLv3
Group: Networking/WWW
Source0: %{distname}
Source1: http://www.getgnash.org/gnash-splash.swf
Patch1:	%{name}-0.8.3-manual.patch
BuildRoot: %{_tmppath}/%{name}-root
URL: http://www.gnu.org/software/%{name}/
%if %{with_klash}
BuildRequires:  kdelibs4-devel
%endif
BuildRequires:  SDL_mixer-devel
BuildRequires:  boost-devel
BuildRequires:  curl-devel
#BuildRequires:  docbook2x
#BuildRequires:	docbook-dtd412-xml
#BuildRequires:  texinfo
BuildRequires:  doxygen
BuildRequires:  rarian
BuildRequires:  slang-devel
BuildRequires:  libxslt-proc
BuildRequires:  agg-devel
BuildRequires:  mysql-devel
BuildRequires:  libltdl-devel
BuildRequires:	gtk2-devel
BuildRequires:	libts-devel
BuildRequires:	libgtkglext-devel
BuildRequires:	gsm-devel
BuildRequires:	nspr-devel
BuildRequires:	expat-devel
BuildRequires:  libgstreamer-plugins-base-devel
BuildRequires:	ffmpeg-devel
BuildRequires:  csound-devel
Buildrequires:	dejagnu
BuildRequires:	speex-devel
BuildRequires:	libxi-devel
%if %{with_tests}
BuildRequires:  ming-devel >= 0.4.3
BuildRequires:  ming-utils >= 0.4.3
Buildrequires:  netcat
Buildrequires:  wget
%endif
Requires:	gstreamer0.10-plugins-base
Requires:	gstreamer0.10-plugins-ugly
Requires:	gstreamer0.10-plugins-bad
Requires:	gstreamer0.10-ffmpeg
Suggests:	lightspark

%description
%{name} is capable of reading up to SWF v9 files and opcodes, but primarily
supports SWF v7, with better SWF v8 and v9 support under heavy development.
With the 0.8.2 release, %{name} includes initial parser support for SWF v8
and v9. Not all ActionScript 2 classes are implemented yet, but all of
the most heavily used ones are. Many ActionScript 2 classes are partially
implemented; there is support for all of the commonly used methods of each
class.

%post -n %{name}
%_install_info %{name}.info

%preun -n %{name}
%_remove_install_info %{name}.info

%files -f %name.lang
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog-%{version} INSTALL NEWS README TODO
%config(noreplace) %{_sysconfdir}/%{name}rc
%{_bindir}/%{name}
%{_bindir}/fb-%{name}
%{_bindir}/gtk-%{name}
%{_bindir}/sdl-%{name}
%{_bindir}/findmicrophones
%{_bindir}/findwebcams
%{_mandir}/man1/findmicrophones.1.*
%{_mandir}/man1/findwebcams.1.*
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/gtk-%{name}.1*
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/32x32/apps/*.png
%{_datadir}/applications/mandriva-%{name}.desktop
%{_datadir}/applications/mandriva-%{name}-context-menu.desktop

#--------------------------------------------------------------------

%package -n	%{libname}
Summary:	%{name} library
Group:	        Networking/WWW
Provides:	%{libname_orig} = %{version}

%description -n %{libname}
%{name} library.

%files -n %{libname}
%defattr(-,root,root)
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/lib%{name}render.so.%{major}*
%{_libdir}/%{name}/lib%{name}base-%{buildversion}.so
%{_libdir}/%{name}/lib%{name}core-%{buildversion}.so
%{_libdir}/%{name}/lib%{name}amf-%{buildversion}.so
%{_libdir}/%{name}/lib%{name}media-%{buildversion}.so
%{_libdir}/%{name}/lib%{name}net.so.%{major}*
%{_libdir}/%{name}/lib%{name}sound-%{buildversion}.so
%{_libdir}/%{name}/lib%{name}vaapi-%{buildversion}.so
%{_libdir}/%{name}/plugins/*.so

#--------------------------------------------------------------------

%package -n	%{libname_dev}
Summary:	Headers of %name for development
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Obsoletes: %{libname}-devel

%description -n %{libname_dev}
Headers of %{name} for development.

%files -n %{libname_dev}
%defattr(-,root,root)
%{_includedir}/%{name}/*
%{_libdir}/%{name}/lib%{name}*.la
%{_libdir}/%{name}/lib%{name}render.so
%{_libdir}/%{name}/lib%{name}amf.so
%{_libdir}/%{name}/lib%{name}base.so
%{_libdir}/%{name}/lib%{name}core.so
%{_libdir}/%{name}/lib%{name}media.so
%{_libdir}/%{name}/lib%{name}net.so
%{_libdir}/%{name}/lib%{name}sound.so
%{_libdir}/%{name}/lib%{name}vaapi.so
%{_libdir}/%{name}/plugins/*.la
%{_libdir}/pkgconfig/%{name}.pc
#--------------------------------------------------------------------

%package -n %{name}-firefox-plugin
Summary:	%{name} firefox plugin
Group:		Networking/WWW
Requires:	%{name} = %{version}-%{release}

%description -n %{name}-firefox-plugin
%{name} firefox plugin

%files -n %{name}-firefox-plugin
%config(noreplace) %{_sysconfdir}/%{name}pluginrc
%{_libdir}/mozilla/plugins/*.so

#--------------------------------------------------------------------

%if %{with_klash}
%package -n	%{name}-konqueror-plugin
Summary:	%{name} konqueror plugin
Group:		Graphical desktop/KDE
Requires:	%{name} = %{version}-%{release}
%description -n %{name}-konqueror-plugin
%{name} Konqueror plugin

%files -n %{name}-konqueror-plugin
%{_kde_bindir}/kde4-%{name}
%{_kde_libdir}/kde4/libklashpart.la
%{_kde_libdir}/kde4/libklashpart.so
%{_kde_datadir}/kde4/services/klash_part.desktop
%{_kde_datadir}/apps/klash/
%{_mandir}/man1/kde4-%{name}.1*
%endif

#--------------------------------------------------------------------

%package cygnal
Summary:   Streaming media server
Requires:  %{name} = %{version}-%{release}
Group:     System/Servers 

%description cygnal
Cygnal is a streaming media server that's Flash aware.

%files cygnal
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/cygnalrc
%{_bindir}/cygnal
%{_mandir}/man1/cygnal.1*
%dir %{_libdir}/cygnal
%{_libdir}/cygnal/plugins/*.so*

#--------------------------------------------------------------------

%package tools
Summary:   gnash tools
Requires:  %{name} = %{version}-%{release}
Group:     Video

%description tools
Gnash tools.

%files tools
%defattr(-,root,root,-)
%{_bindir}/gprocessor
%{_bindir}/soldumper
%{_bindir}/flvdumper
%{_bindir}/rtmpget
%{_mandir}/man1/gprocessor.1*
%{_mandir}/man1/soldumper.1*
%{_mandir}/man1/flvdumper.1*
%{_mandir}/man1/rtmpget.1*

#--------------------------------------------------------------------

%prep
%setup -q -n %{dir_name}
%patch1 -p1 -b .manual~

%build
./autogen.sh
%define _disable_ld_no_undefined 0

%configure2_5x --disable-static --with-npapi-plugindir=%{_libdir}/mozilla/plugins \
  --enable-extensions=ALL \
  --enable-ghelp \
  --disable-rpath \
%if %{with_klash}
  --enable-gui=gtk,kde4,sdl,fb \
%else
  --disable-kparts \
  --enable-gui=gtk,sdl,fb \
%endif
%if %{with_tests}
  --enable-testsuite \
%else
  --disable-testsuite \
%endif
  --enable-media=ffmpeg,gst \
  --with-gstpbutils-incl=%{_includedir}/gstreamer-0.10 \
  --with-gstpbutils-lib=%{_libdir} \
  --enable-cygnal \
  --disable-dependency-tracking \
  --enable-doublebuf
  #--enable-docbook
   

%make

%if %{with_tests}
%make check
%endif

%install
rm -rf %{buildroot}
make install install-plugins \
 DESTDIR=%{buildroot} INSTALL='install -p' \
 KDE4_PLUGINDIR=%{_kde_libdir}/kde4 \
 KDE4_SERVICESDIR=%{_kde_datadir}/kde4/services \
 KDE4_CONFIGDIR=%{_kde_configdir} \
 KDE4_APPSDATADIR=%{_kde_appsdir}/klash

cp -p %{SOURCE1} %{buildroot}%{_datadir}/%{name}/

#menu entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Gnash SWF Viewer
GenericName=SWF Viewer
Comment=%{summary}
Exec=%{name} %{_datadir}/%{name}/%{name}-splash.swf %U
Icon=GnashG
Terminal=false
Type=Application
StartupNotify=false
Categories=AudioVideo;GTK;Video;Player;
EOF

# context menu entry, to make double clicking an swf work
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}-context-menu.desktop << EOF
[Desktop Entry]
Name=Gnash SWF Viewer
GenericName=SWF Viewer
Comment=%{summary}
Exec=%{name} %U
Icon=GnashG
Terminal=false
Type=Application
StartupNotify=false
MimeType=application/x-shockwave-flash;application/futuresplash;
EOF

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
cp -p ./gui/images/GnashG.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps


rm -rf %{buildroot}/%{_localstatedir}/lib/scrollkeeper
rm -f %{buildroot}/%{_libdir}/mozilla/plugins/*.a
rm -f %{buildroot}/%{_libdir}/mozilla/plugins/*.la

%find_lang %name

%clean
rm -rf %{buildroot}


%changelog
* Thu Aug 26 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.8.8-4mdv2011.0
+ Revision: 573384
- Offer two .desktop files, one to appear in the menu so that gnash GUI loads correctly,
  and another to show up in the context menu so that double clicking an swf file works.
  Should fix (mdv#60786) hopefully for good.

* Wed Aug 25 2010 Emmanuel Andry <eandry@mandriva.org> 0.8.8-3mdv2011.0
+ Revision: 573358
- move plugin conf file in the right subpackage
- don't provide empty changelog, provide versioned changelog

* Tue Aug 24 2010 Funda Wang <fwang@mandriva.org> 0.8.8-2mdv2011.0
+ Revision: 572516
- BR xi for input devices

* Mon Aug 23 2010 Emmanuel Andry <eandry@mandriva.org> 0.8.8-1mdv2011.0
+ Revision: 572417
- New version 0.8.8 final
- enable every render and media handler, can be switched at runtime
- suggest lightspark for AVM2 handling

* Tue Aug 10 2010 Emmanuel Andry <eandry@mandriva.org> 0.8.8-0.20100810.1mdv2011.0
+ Revision: 568333
- New bzr snapshot
- BR gsm-devel nspr-devel expat-devel
- New bzr snapshot

* Thu Aug 05 2010 Funda Wang <fwang@mandriva.org> 0.8.8-0.20100801.2mdv2011.0
+ Revision: 566097
- rebuild for new boost

  + Matthew Dawkins <mattydaw@mandriva.org>
    - make spec file rpm5 compatible
    - make spec file rpm5 compatible

* Mon Aug 02 2010 Emmanuel Andry <eandry@mandriva.org> 0.8.8-0.20100801.1mdv2011.0
+ Revision: 565045
- fix files list
- disable doc, breaks build
- New bzr snapshot
- drop p0 and p2
- BR tslib-devel and gtkglext-dvel
- don't enable avm2, it breaks build
- set agg as renderer, it's the only one fully working
- update files list

* Sat May 29 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.8.7-5mdv2010.1
+ Revision: 546565
- add %%U to Exec line in the .desktop files to make it actually work (mdv #59540)

* Sun May 02 2010 Funda Wang <fwang@mandriva.org> 0.8.7-4mdv2010.1
+ Revision: 541525
- fix summary

* Sat May 01 2010 Emmanuel Andry <eandry@mandriva.org> 0.8.7-3mdv2010.1
+ Revision: 541508
- drop firefox requires, can also be used by chromium
- add menu entry
- add SOURCE1 (swf sample) because gnash needs argument on opening

* Sun Apr 25 2010 Emmanuel Andry <eandry@mandriva.org> 0.8.7-2mdv2010.1
+ Revision: 538696
- rebuild

* Mon Feb 15 2010 Funda Wang <fwang@mandriva.org> 0.8.7-1mdv2010.1
+ Revision: 506177
- more linkage fix
- fix linkage
- new version 0.8.7 final

* Tue Feb 09 2010 Emmanuel Andry <eandry@mandriva.org> 0.8.7-0.20100208.1mdv2010.1
+ Revision: 502982
- new snapshot
- bump BR version
- update files list

* Mon Feb 08 2010 Anssi Hannula <anssi@mandriva.org> 0.8.7-0.20100131.3mdv2010.1
+ Revision: 501882
- rebuild for new boost

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 0.8.7-0.20100131.2mdv2010.1
+ Revision: 500087
- rebuild for new boost

* Sun Jan 31 2010 Emmanuel Andry <eandry@mandriva.org> 0.8.7-0.20100131.1mdv2010.1
+ Revision: 498782
- New bzr snapshot

* Fri Jan 22 2010 Emmanuel Andry <eandry@mandriva.org> 0.8.7-0.20100122.1mdv2010.1
+ Revision: 495042
- New bzr snapshot

* Mon Jan 18 2010 Emmanuel Andry <eandry@mandriva.org> 0.8.7-0.20100117.1mdv2010.1
+ Revision: 493041
- fix files list
- New bzr snapshot
- create subpackage for gnash tools

* Wed Jan 13 2010 Emmanuel Andry <eandry@mandriva.org> 0.8.7-0.20100113.1mdv2010.1
+ Revision: 491014
- disable test, ming-all test failing
- update files list
- add trigger for tests
- enable tests
- New bzr snapshot

* Wed Jan 13 2010 Götz Waschk <waschk@mandriva.org> 0.8.7-0.20091231.5mdv2010.1
+ Revision: 490588
- rebuild for new libjpeg

* Sun Jan 03 2010 Emmanuel Andry <eandry@mandriva.org> 0.8.7-0.20091231.4mdv2010.1
+ Revision: 486050
- create conditionnal for gstreamer use
- use ffmpeg media handler to workaround sound issue in youtube (to fix)

* Sat Jan 02 2010 Emmanuel Andry <eandry@mandriva.org> 0.8.7-0.20091231.2mdv2010.1
+ Revision: 485175
- drop useless BR
- force GST detection
- move files to right package
- create subpackage for cygnal streaming media server

* Fri Jan 01 2010 Emmanuel Andry <eandry@mandriva.org> 0.8.7-0.20091231.1mdv2010.1
+ Revision: 484630
- drop useless/redundant configure arguments
- use major
- update files list
- pre 0.8.7 bzr snapshot

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Remove unused BuildRequires
    - Add csound as BuildRequire

* Sun Sep 20 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.8.6-1mdv2010.0
+ Revision: 444891
- Add libgstreamer-plugins-base-devel as buildrequires
  Fix File list

  + Zombie Ryushu <ryushu@mandriva.org>
    - Add missing dependencies
    - Add missing dependencies
    - Upgrade to 0.8.6
    - Upgrade to 0.8.6

* Thu Mar 05 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.8.5-1mdv2010.0
+ Revision: 349093
- use %%configure2_5x macro so that we don't have to do silly libtool workaround
- no sense in setting $QTDIR etc., these are already set by the profile.d scripts

* Thu Mar 05 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.8.5-1mdv2009.1
+ Revision: 348966
- fix manual (P1, from fedora)
- ignore version the moc files has been generated with, and also add a missing
  one from gnash kde4 bzr branch (P0) so that we now can build kde4 plugin
- build with speex support
- add support for building kde4 klash plugin (not working yet though)
- grf, give up trying to --no-undefined stuff..
- new release: 0.8.5
- fix underlinking (P0)
- do parallel build
- make buildrequires on kdebase3-devel conditional

* Sat Dec 20 2008 Funda Wang <fwang@mandriva.org> 0.8.4-3mdv2009.1
+ Revision: 316576
- rebuild for new boost

  + Oden Eriksson <oeriksson@mandriva.com>
    - use lowercase mysql-devel

* Mon Nov 10 2008 Funda Wang <fwang@mandriva.org> 0.8.4-2mdv2009.1
+ Revision: 301762
- rebuild for new xcb

* Tue Oct 28 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.8.4-1mdv2009.1
+ Revision: 297975
- Fix oversion
- New upstream version 0.8.4
  Fix firefox plugin requires

* Sun Aug 31 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.8.4-0.20080830.1mdv2009.0
+ Revision: 277695
- Add a switch for kparts(klash) build
  Do not build Kparts for now
  Fix file list
- Disable kparts for the moment
- Fix BuildRequires
- New Bzr snapshot
- Remove --with-qt-lib from %%configure
- Fix kde includes
- Update spec file to version 0.8.3
- Update to Gnash 0.8.3
- More fixes for kde plugin
- Fix kde-gnash move
- Fix install of kde plugin
- New snapshot
  Fix File list

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Funda Wang <fwang@mandriva.org>
    - use configure2_5x

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt for mozilla-firefox-2.0.0.16

  + Anssi Hannula <anssi@mandriva.org>
    - own %%_libdir/gnash

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Wed Mar 26 2008 Emmanuel Andry <eandry@mandriva.org> 0.8.2-4mdv2008.1
+ Revision: 190470
- Rebuild for new FF

* Mon Mar 24 2008 Emmanuel Andry <eandry@mandriva.org> 0.8.2-3mdv2008.1
+ Revision: 189789
- Update description
- build SDL and fb gui

* Sun Mar 09 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.8.2-2mdv2008.1
+ Revision: 183138
- fix Buildrequires for branch and cooker
- Fix BuildRequires to allow backports

  + Helio Chissini de Castro <helio@mandriva.com>
    - Fixed invalid devel name
    - Fixed typo on plugins install lead missing proper konqueror libraries and support

* Fri Mar 07 2008 Emmanuel Andry <eandry@mandriva.org> 0.8.2-1mdv2008.1
+ Revision: 181153
- Fix files
- New version

* Sun Feb 24 2008 Emmanuel Andry <eandry@mandriva.org> 0.8.2-0.080224.2mdv2008.1
+ Revision: 174434
- drop useless requires

* Sun Feb 24 2008 Emmanuel Andry <eandry@mandriva.org> 0.8.2-0.080224.1mdv2008.1
+ Revision: 174361
- fix files
- fix requires
- BR docbook-dtd412-xml
- New cvs snapshot
- requires gstreamer

  + Thierry Vignaud <tv@mandriva.org>
    - fix gstreamer0.10-devel BR for x86_64

* Sat Feb 09 2008 Funda Wang <fwang@mandriva.org> 0.8.2-0.080207.2mdv2008.1
+ Revision: 164652
- rebuild for new FF

* Thu Feb 07 2008 Emmanuel Andry <eandry@mandriva.org> 0.8.2-0.080207.1mdv2008.1
+ Revision: 163799
- New snapshot

* Sat Jan 19 2008 Emmanuel Andry <eandry@mandriva.org> 0.8.2-0.080119.1mdv2008.1
+ Revision: 155079
- New snapshot
- scrollkeeper is no more
- New snapshot

* Thu Dec 27 2007 Emmanuel Andry <eandry@mandriva.org> 0.8.2-0.071227.0mdv2008.1
+ Revision: 138574
- New snapshot

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 14 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.8.2-0.071213.0mdv2008.1
+ Revision: 119675
- New snapshot
- new cvs snapshot

* Thu Nov 01 2007 Anssi Hannula <anssi@mandriva.org> 0.8.1-2mdv2008.1
+ Revision: 104726
- rebuild for libboost

* Thu Aug 30 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.8.1-1mdv2008.0
+ Revision: 75313
- Build Klash too
- Fix File list
-Fix build
- New version 0.8.1

* Thu Aug 02 2007 Emmanuel Andry <eandry@mandriva.org> 0.8.0-0.070802.1mdv2008.0
+ Revision: 58322
- New cvs snapshot

* Sat Jul 14 2007 Emmanuel Andry <eandry@mandriva.org> 0.8.0-0.070714.1mdv2008.0
+ Revision: 52082
- fix buildrequires
- New cvs snapshot
- set license to GPLv3

* Sun Jul 08 2007 Emmanuel Andry <eandry@mandriva.org> 0.8.0-0.070708.1mdv2008.0
+ Revision: 49883
- New cvs snapshot

* Mon Jul 02 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.8.0-0.070624.2mdv2008.0
+ Revision: 47249
- Fix File list ( close bug #31709)'

* Sun Jun 24 2007 Emmanuel Andry <eandry@mandriva.org> 0.8.0-0.070624.1mdv2008.0
+ Revision: 43721
- needs gstreamer 0.10
- New cvs snapshot
- switch media to gstreamer, mad support is broken
- spec cleaning

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - New version 0.8.0
    - New cvs snapshot

* Wed Jun 06 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.7.3-0.070508.3mdv2008.0
+ Revision: 36075
- Rebuild with libslang2.

* Sat May 26 2007 Funda Wang <fwang@mandriva.org> 0.7.3-0.070508.2mdv2008.0
+ Revision: 31459
- Use simple file list at the time
- Use mad to handle media
- Rebuild for directfb 1.0

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - New svn snapshot

* Wed May 02 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.7.3-0.070501.3mdv2008.0
+ Revision: 20438
- New cvs snapshot


* Fri Mar 23 2007 Emmanuel Andry <eandry@mandriva.org> 0.7.3-0.070318.3mdv2007.1
+ Revision: 148220
- rebuild for mozilla-firefox 2.0.0.3

* Tue Mar 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.7.3-0.070318.2mdv2007.1
+ Revision: 146874
- don't package the whole sources as doc

* Sun Mar 18 2007 Emmanuel Andry <eandry@mandriva.org> 0.7.3-0.070318.1mdv2007.1
+ Revision: 146017
- New snapshot

* Wed Mar 07 2007 Emmanuel Andry <eandry@mandriva.org> 0.7.3-0.070304.4mdv2007.1
+ Revision: 134807
- bump release to fix submitting
- reintroduce devel package

* Mon Mar 05 2007 Emmanuel Andry <eandry@mandriva.org> 0.7.3-0.070304.2mdv2007.1
+ Revision: 133385
- readd missing file
- drop redundant buildrequires
- buildrequires gtk2-devel
- buildrequires dejagnu
- don't package source tree
- fix libraries packages
- drop devel package
- add warning fix patch from opensuse
- enable sound via SDL

* Sun Mar 04 2007 Emmanuel Andry <eandry@mandriva.org> 0.7.3-0.070304.1mdv2007.1
+ Revision: 132524
- buildrequires mysql-devel
- buildrequires libltdl-devel
- New cvs snapshot
- buildrequires kdebase-devel
- fix buildrequires
- New cvs snapshot
- disable konqueror plugin

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

  + Per Øyvind Karlsen <pkarlsen@mandriva.com>
    - reenable konqueror plugin

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - New cvs snapshot
    - New snapshot
    - New cvs snapshot
    - New cvs snapshot
    - Fix File list
    - Add BuildRequires for test suite

* Fri Dec 15 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.7.2-3mdv2007.1
+ Revision: 97943
- Fix lib file section (#27686)

* Sun Dec 10 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.7.2-1mdv2007.1
+ Revision: 94527
- Fix requires (i hope )  thanks  Gotz
- New version 0.7.2
- Remove useless BuildConflicts
- close ticket #22971

* Fri Dec 08 2006 Emmanuel Andry <eandry@mandriva.org> 0.7.2-0.2mdv2007.1
+ Revision: 92241
- buildconflicts docbook-utils
- Rebuild for mozilla-firefox 2.0

* Sun Dec 03 2006 Emmanuel Andry <eandry@mandriva.org> 0.7.2-0.1mdv2007.1
+ Revision: 90268
- Add BuildRequires scrollkeeper libxslt-proc
- add buildrequires curl-devel texinfo doxygen
- buildrequires docbook-xml

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - New cvs snapshot for 0.7.2 branch

* Fri Oct 27 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.7.1-3mdv2007.1
+ Revision: 73125
- Add tarball
- New cvs snapshot
- Sync with gnash cvs
- Fix BuildRequires for new xorg
- increase release
- Make the wrning for svn back
- make the source back too
- come back on the svn gnash!!!
- Add a warning about its presence on svn repos
- Remove the changelog from the svn commit
- Created package structure for gnash.

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Sat May 13 2006 Couriousous <couriousous@mandriva.org> 0.7.1-1mdk
- 0.7.1
- Reenable firefox plugin
- Enable konqueror plugin

* Thu Feb 16 2006 Austin Acton <austin@mandriva.org> 0.7-0.20060216.1mdk
- give proper version number
- enable docbook and ghelp
- buildrequires docbook2x
- fix lib64 build
- move la's to devel package
- configure 2.5
- add the standard doc files

* Thu Feb 16 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.0-0.20060216.1mdk
- New cvs snapshot

* Wed Feb 15 2006 Austin Acton <austin@mandriva.org> 0.0-0.20060123.3mdk
- fix lib64 build

* Tue Jan 24 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.0-0.20060123.2mdk
- Add BuildRequires

* Fri Jan 13 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.0-0.20060123.1mdk
- New cvs snapshot
	- For the moment the firefox plugin is not enable because it
		doesn't compile.
- Fix File section (misc)
- Add BuildRequires (misc)

* Tue Jan 10 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.0-0.20060110.1mdk
- initial mandriva package
- Patch 0 : Fix Mozilla-firefox detection (baud123)

